summaryrefslogtreecommitdiffstats
path: root/tests/failover-no-rptd.sh
diff options
context:
space:
mode:
authorRainer Gerhards <rgerhards@adiscon.com>2011-03-16 14:40:36 +0100
committerRainer Gerhards <rgerhards@adiscon.com>2011-03-16 14:40:36 +0100
commitce1860a0bc77ec2ba7992547776a46df6b3d0e8a (patch)
treed7cec4fcc967b53ea566a76564a08736b49fa7af /tests/failover-no-rptd.sh
parent9a53ec419e9d9e25a81b26a01ce5b035631e321a (diff)
downloadrsyslog-ce1860a0bc77ec2ba7992547776a46df6b3d0e8a.tar.gz
rsyslog-ce1860a0bc77ec2ba7992547776a46df6b3d0e8a.tar.xz
rsyslog-ce1860a0bc77ec2ba7992547776a46df6b3d0e8a.zip
bugfix: failover did not work correctly if repeated msg reduction was on
affected directive was: $ActionExecOnlyWhenPreviousIsSuspended on
Diffstat (limited to 'tests/failover-no-rptd.sh')
-rwxr-xr-xtests/failover-no-rptd.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/tests/failover-no-rptd.sh b/tests/failover-no-rptd.sh
new file mode 100755
index 00000000..6abeba44
--- /dev/null
+++ b/tests/failover-no-rptd.sh
@@ -0,0 +1,19 @@
+# This file is part of the rsyslog project, released under GPLv3
+echo ===============================================================================
+echo \[failover-no-rptd.sh\]: rptd test for failover functionality - no failover
+source $srcdir/diag.sh init
+source $srcdir/diag.sh startup failover-no-rptd.conf
+source $srcdir/diag.sh injectmsg 0 5000
+echo doing shutdown
+source $srcdir/diag.sh shutdown-when-empty
+echo wait on shutdown
+source $srcdir/diag.sh wait-shutdown
+# now we need our custom logic to see if the result file is empty
+# (what it should be!)
+cmp rsyslog.out.log /dev/null
+if [ $? -eq 1 ]
+then
+ echo "ERROR, output file not empty"
+ exit 1
+fi
+source $srcdir/diag.sh exit